<?php
// START CONTACT SECTION
$wp_customize->add_section(
	'appoi_section',
	array(
		'title'         => __( 'Appointment Section', 'Luzuk Premium' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'appoi_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'appoi_disable',
		array(
			'settings'      => 'appoi_disable',
			'section'       => 'appoi_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)
		)
	)
);

backgroundManager($wp_customize, 'appointment', 'appoi_section', $color='#fff', get_template_directory_uri().'/images/contactusbg.jpg', 'color');

lzCustomLable($wp_customize, 'app_Overlay', 'appoi_section', 'Section Rite Side:');

addColorPalatOption($wp_customize, 'inquiry_formolayclr', 'appoi_section', 'Form Background Color', '#fff');

lzCustomLable($wp_customize, 'appoi_sectionnpadding', 'appoi_section', 'Padding For Section:');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'app-secheading', 'appoi_section', 'Section Heading & Sub Heading');

$wp_customize->add_setting(
    'appform_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CONTACT FORM', 'luzuk' )
    )
);
$wp_customize->add_control(
    'appform_maintitle',
    array(
        'settings'      => 'appform_maintitle',
        'section'       => 'appoi_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'app_secheadingclr', 'appoi_section', 'Section Heading Color', '#000');

addColorPalatOption($wp_customize, 'app_secheadingbrdclr', 'appoi_section', 'Section Heading Border Color', '#000');

// ===========Form Section ==========//

lzCustomLable($wp_customize, 'contactf', 'appoi_section', 'Form Section');


lzCustomLable($wp_customize, 'appointmentright_Form_label', 'appoi_section', 'Contact Inquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'appoi_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');

//form input text / placeholder color
addColorPalatOption($wp_customize, 'inquiry_forminputtxtClr', 'appoi_section', 'Form Input Text / Placeholder Color', '#7f7d7e');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'appoi_section', 'Form Input Background Color', '#f2eeef');

//form label color
addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'appoi_section', 'Form Label Color', '#000');

//form text color
//addColorPalatOption($wp_customize, 'inquiry_formtextColor', 'appoi_section', 'Form Text Color', '#707d84');

//form button text color
addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'appoi_section', 'Form Button Text Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'appoi_section', 'Form Button Text Hover Color', '#fff');

//form button Background color

addColorPalatOption($wp_customize, 'inquiry_formbuttonbackgroundColor', 'appoi_section', 'Form Button Background Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbackgroundhoverColor', 'appoi_section', 'Form Button Background Hover Color', '#000');


//form button Border color
addColorPalatOption($wp_customize, 'inquiry_formbuttonborderColor', 'appoi_section', 'Form Button Border Color', '#718be3');
addColorPalatOption($wp_customize, 'inquiry_formbuttonborderhoverColor', 'appoi_section', 'Form Button Border Hover', '#000');


//form button background color






lzCustomLable($wp_customize, 'appoia_timg', 'appoi_section', 'Right Image');




      $wp_customize->add_setting(
        'appointment_image3',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'appointment_image3',
            array(
                'section' => 'appoi_section',
                'settings' => 'appointment_image3',
                'description' => __('Recommended Image Size: 423X568 px', 'luzuk-premium')
            )
        )
    );

;
